#include "aussenstromgravojet.pov"
#include "antigrav.pov"
#include "impulstriebwerk.pov"
/*
 * Ein Kombiaggregat aus Auenstromgravojet, Antigrav und Impulstriebwerk. 
 *
 * Verwendung:
 * Davon gibt es 12 Stck, die aber nicht ganz gleichmig verteilt sein
 * knnen, da dazwischen ja noch die 4 Metagravtriebwerke sitzen. Am
 * besten jeweils 3 mit 20 Abstand, und dann eine 30 Lcke fr das MG?
 * 
 * Der Nullpunkt liegt im Zentrum des Triebwerksrings, so da der Block
 * leicht rotiert werden kann.
 */
#declare kombiblock_oben = 
    union {
	object {
	    aussenstromgravojet
	    translate <730, 0, 0>
	    rotate <0, -5, 0>
	}
	
	object {
	    antigrav
	    translate <670, 0, 0>
	}
	
	object {
	    impulstriebwerk
	    translate <670, 0, 0>
	    rotate <0, +6, 0>
	}
    }

#declare kombiblock_unten = 
    object {
	kombiblock_oben
	scale <1, -1, 1>
	translate <0, 100, 0>
    }
