#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
//background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <2000, 2000, 2000>
    color White
}

//#declare Camera_Ortho_z = 1;
//#declare Camera_Ortho_x = 1;
#declare Camera_Triebwerk = 1;

#ifdef (Camera_Triebwerk)
camera {
        location <165, 270, 100>
        look_at <70, 80, 0>
	angle 30
}
#end

#ifdef (Camera_Ortho_z)
camera {
        location <35, 50, 135>
        look_at <35, 50, 0>
	orthographic
}
#end

#ifdef (Camera_Ortho_x)
camera {
        location <135, 50, 0>
        look_at <0, 50, 0>
	orthographic
}
#end

#ifdef (Camera_Totale)
camera {
        location <2650, 1800, 0>
        look_at <0, 800, 0>
}
#end

plane {
    <0, 0, 1>, 0
    pigment {
	checker color White*0.7, color White*0.5
    }
    scale 10
    translate <0, 0, -100>
}

plane {
    <0, 1, 0>, 0
    pigment {
	checker color White*0.7, color White*0.5
    }
    scale 10
    translate <0, 0, 0>
}

plane {
    <1, 0, 0>, 0
    pigment {
	checker color White*0.7, color White*0.5
    }
    scale 10
    translate <-100, 0, 0>
}

#declare pk_x = 30;
#declare pk_z = 40;
#declare pk_r = 8;
torus {
    1, 0.5
    texture {
	material_map {
	    gif "16_lines.map.gif" 
	    map_type 5
	    texture {
		pigment { color rgb <0.75, 0.75, 0.1> }
		finish { F_MetalA }
	    }
	    texture {
		pigment { color rgb <0.05, 0.05, 0.1> }
		finish { F_MetalA }
	    }
	}
    }
    scale 40
    rotate <90, 0, 0>
    scale <1, 1, pk_z/pk_x>
    translate <70, 80, 0>
}

